> For the complete documentation index, see [llms.txt](https://docs.vomevolunteer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vomevolunteer.com/resources/schedule/shift-series/list-all-shift-series.md).

# List all shift series

Returns the shift series in your organization, newest first.

#### Endpoint

`GET /api/shift-series/`

### Query parameters

| Parameter        | Description                                                            |
| ---------------- | ---------------------------------------------------------------------- |
| `opportunity_id` | Only series on this opportunity.                                       |
| `status`         | `active` or `ended`.                                                   |
| `search`         | Matches the opportunity title, the category title and the shift title. |
| `page`           | Page number.                                                           |
| `page_size`      | Results per page.                                                      |

#### Request sample

```python
import requests

headers = {"API-KEY": "your_unique_api_key_here"}

response = requests.get(
    "https://api.vomevolunteer.com/api/shift-series/?status=active",
    headers=headers,
)
```

#### Response sample

```json
{
  "count": 2,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "7c0f3f20-6e39-4b80-bb35-7d743f0193a6",
      "opportunity_role": "2f56f3ef-08f5-4e5a-bf5b-76ca8fc4d5f1",
      "opportunity_role_title": "Evening meal service",
      "status": "active",
      "starts_at": "2026-11-10T19:00:00Z",
      "ends_at": null,
      "future_active_shifts_count": 52,
      "active_enrollments_count": 4
    }
  ]
}
```
